Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Не знаете как установить драйвер? Возникли проблемы? Вам сюда!
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
Аватара пользователя

darkfenix
Сообщения: 3912
Зарегистрирован: 27 июн 2017, 10:36
Решено: 44
Откуда: Нижний Тагил
Благодарил (а): 239 раз
Поблагодарили: 720 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение darkfenix » 04 фев 2018, 13:38

А для кого написано
epsicore писал(а):
04 фев 2018, 11:55
открываем /etc/default/grub
В терминале пишем sudo xed /etc/default/grub
Находим строку GRUB_CMDLINE_LINUX_DEFAULT приводим к следующему виду

Код: Выделить всё

GRUB_CMDLINE_LINUX_DEFAULT="quiet modprobe.blacklist=radeon modprobe.blacklist=amdgpu"
Сохраняем изменения. Обновляем груб sudo update-grub. Перезагружаемся.
Изображение

Аватара пользователя

epsicore
Сообщения: 11
Зарегистрирован: 03 фев 2018, 06:23
Благодарил (а): 10 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение epsicore » 04 фев 2018, 16:10

Благодарю!)
Ядро 4.10 Устанавливаю данные ресурсы, а тут снова сюрприз
Ошибка: Не удалось удовлетворить зависимости
Устанавливал вроде сегодня нормально. Но потом снова перезагрузил Linux Mint по другим проблемам.
А уже после перезапуска и установки он выдаёт это
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 04 фев 2018, 16:44

Изображение
   
Изображение

Аватара пользователя

epsicore
Сообщения: 11
Зарегистрирован: 03 фев 2018, 06:23
Благодарил (а): 10 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение epsicore » 05 фев 2018, 05:02

Заколдованный круг
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

darkfenix
Сообщения: 3912
Зарегистрирован: 27 июн 2017, 10:36
Решено: 44
Откуда: Нижний Тагил
Благодарил (а): 239 раз
Поблагодарили: 720 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение darkfenix » 05 фев 2018, 05:13

epsicore писал(а):
05 фев 2018, 05:02
Заколдованный круг
Это всего лишь банальная невнимательность. Смотри, скачанные тобой пакеты лежат в каталоге "Загрузки", а установку в терминале ты пытаешься выполнять в каталоге "Документы". Естественно там нет файлов :hoho:
Изображение

Аватара пользователя

epsicore
Сообщения: 11
Зарегистрирован: 03 фев 2018, 06:23
Благодарил (а): 10 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение epsicore » 05 фев 2018, 06:33

Понимаю, что подзадолбал, дикая благодарность за стабильную поддержку. Но опишу по-подробнее, возможно в системе всё верно, а я неправильно сделал ещё в начале:
1)добавим репозиторий с необходимыми пакетами
Передо мной ссылка, на которую я перешёл. На странице вижу кучу документов, которые я скачал и перенёс с загрузок в документы(и текстовые файлы тоже), раз терминал у меня работает с документами.
2)Приведение версий xorg.
Я выполнил необходимое условие и вставил команду в терминал, как видно на фото(Стоит обратить внимание на последние строки, где указано, что Убунту радеон не найдено
3)Установка драйвера производится по соответствующей версии ядра
Предварительно узнав о версии ядра(4.10.0-38-generic) в терминале, я скачал необходимые пакеты. Они, кстати, на первом фото красуются в документах (отдельная благодарность за то, что указали на мою ошибку).
Далее ввожу необходимые команды, которые мне сообщил администратор темы (я указал на третьем фото:)
В терминале выдают ошибку.
Возможно стоит установить lib32gcc1 и libc6-i386. Даже нужно. Только я не знаю основ установки в терминале. Всё под копирку делаю, как говорите вы.
Огромное спасибо и лайк за внимание!
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 05 фев 2018, 07:27

Не нужно самодеятельности, все расписано уже максимально подробно.
epsicore писал(а):
05 фев 2018, 06:33
Передо мной ссылка, на которую я перешёл. На странице вижу кучу документов, которые я скачал и перенёс с загрузок
Там даны три конкретные команды, котороые необходимо выполнить для добавления репозитория в систему. На этом этапе ничего руками качать не надо.

Код: Выделить всё

echo "deb https://linuxmint.com.ru/repo/xenial/ /" | sudo tee -a /etc/apt/sources.list
wget --quiet https://linuxmint.com.ru/repo/xenial/lmcomru-pubkey; sudo apt-key add lmcomru-pubkey
apt update
epsicore писал(а):
05 фев 2018, 06:33
2)Приведение версий xorg.
По той же причине не сработало, что не выполнен предыдущий пункт

Плюс в /etc/apt/sources.list похоже есть дублирующиеся записи, на которые он ругается на скриншоте. Надо открыть его в текстовом редакторе от sudo и убрать лишние строчки
Изображение
   
Изображение

Аватара пользователя

epsicore
Сообщения: 11
Зарегистрирован: 03 фев 2018, 06:23
Благодарил (а): 10 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение epsicore » 05 фев 2018, 09:51

:hoho:
Я уж собирался радоваться успешной установке с красными глазами, а не тут то было
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

darkfenix
Сообщения: 3912
Зарегистрирован: 27 июн 2017, 10:36
Решено: 44
Откуда: Нижний Тагил
Благодарил (а): 239 раз
Поблагодарили: 720 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение darkfenix » 05 фев 2018, 10:05

epsicore писал(а):
05 фев 2018, 09:51
не тут то было
А если воспользоваться головой и немного подумать, то станет понятно, что тупо копипастить нельзя. Нет в кедах редактора xed. Стоит заменить на kate
Изображение

Аватара пользователя

Dinamic21
Сообщения: 18
Зарегистрирован: 02 фев 2018, 06:46
Поблагодарили: 1 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Dinamic21 » 05 фев 2018, 17:11

Chocobo, доброго времени суток.
Запилить каталист на новый минт идея замечательная, но запилив его на несколько разных систем наткнулся на несколько багов.
Баг №1: не запускается свежий Viber 7.0.0 скачанный с офф сайта, видимо работает только с новым xserver. Завел версию 6.5.5 с трудом найденную на http://web.archive.org/
Баг №2: зря не стали писать гайд для ядра 4.13, которое сейчас в минте прилетает после dist-upgrade и по сути является ядром из коробки по умолчанию. После обновления до ядра 4.14 перестает работать VirtualBox намертво вешая комп с процессорами Intel. Причина - патчи в ядре 4.14 от уязвимости meltdown. Требуется более новый VB версии выше 5.2, но и он у меня не взлетел, дальше копать не было времени.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 05 фев 2018, 18:54

Dinamic21 писал(а):
05 фев 2018, 17:11
зря не стали писать гайд для ядра 4.13
   Тут не моя прихоть, просто пересобранный с патчсетом под 4.13 он изначально у меня вел себя оч непредсказуемо, и заводился не каждый раз. А в полурабочем состоянии выкатывать его сюда - не самая лучшая затея, я так думаю)
   Сами пакеты с патчами от 4.13 остались, могу тут выложить, для желающих. Можно попробовать и вернуться к его обкатке - на 4.10 несколько минорных версий тоже отказывались дружить с дровиной, потом самоизлечилось, так что может и тут не все потеряно.
Dinamic21 писал(а):
05 фев 2018, 17:11
Требуется более новый VB версии выше 5.2,
Этот момент давай разберем в отдельной теме про боксу, оракел думаю не даст нам пропасть)
Dinamic21 писал(а):
05 фев 2018, 17:11
не запускается свежий Viber 7.0.0
А еще у меня не стартует скайп, начиная с 8.13 (тут тоже к иксам подвязки, живу на 8.10 версии). Сегфолтились по GPU бета-сборки 57-й лисы (с релиза правда работает без сбоев). Не работают некоторые игры (Криво GTA SA и IV, через раз WoT, War is Mine, нестабильно с Cities Skyline, не поддерживается новый Deus Ex. Это то что навскидку вспомнил).
   Но опять же это не кривая адаптация дров, это сам факт того что тащим легаси и драйвера и иксов. Точно также каталист уже ведет себя и на прежних версиях минта и в lmde2, где еще доступен в менеджере драйверов. Не любит нынче новый софт старую обвязку
Три года скоро, как он заброшен AMD. Дальше будет только веселей, скорей всего
Sad but True :sad:
Изображение
   
Изображение

Аватара пользователя

Автор темы
Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 05 фев 2018, 22:33

Поигрался в очередной раз с 4.13 - безуспешно, не хочет заводиться. Плюс ко всему, непонятно сколько убунта еще его будет тащить. В ванильном исполнении оно сдулось еще в конце ноября, спустя два с половиной месяца после релиза. Несчастливая, в общем цифра :hoho:

Вместо этого, в качестве альтернативы собрал вариант под оставшееся без внимание еще одно LTS-ядро, которое будет жить еще год - 4.9 Последний на сегодня билд его 4.9.80 собран два дня назад.
Таким образом теперь выбор будет по всем актуальным LTS-ядрам (4.4 - 4.9 - 4.14)
Снимок экрана от 2018-02-06 01-00-47.png
Пакеты и инструкцию добавлю в шапку.
Мне как ни разу не сишнику обычно чужды все эти вещи, но как повелось с этой дровиной - приходится разбираться со всяким.
На этот раз получив убитые иксы и обломный дкмс решил разбираться по месту, в tty.
Анамнез следующий - в логе о неудачном dkms (сборке модуля под текущее ядро) получил ругань на константу
:#define UTS_UBUNTU_RELEASE_ABI 040980 с текстом о том, что девятка - плохая цифра (invalid digit 9 in octal constant), и собираться с в таком виде он не планирует, можно не упрашивать.
Беглым гуглением выянилось, что компилятор воспринимает числа начинающиеся с нуля в восмеричной системе, куда восьмерки и девятки уже не попадают. Казус ситуации в том, что от девятки в ядре 4.9 не избавиться никак, а выбираемая строка c нулем 040980 - нормальная практика нейминга всех убунтовых ядер :dash2:

Код: Выделить всё

chocobo@desktop ~ $ uname -r
4.9.80-040980-generic
Можно конечно и ядро пересобрать с нужным именем, но уж больно много мороки получится ради каталиста, учитывая что обновляется оно каждые несколько дней.
Нахрапом решил влезть в код драйвера, и в ./kcl_acpi.c нашлась следующая конструкция

Код: Выделить всё

#if LINUX_VERSION_CODE >= KERNEL_VERSION(3,17,0)
#include <generated/utsrelease.h>
#ifndef UTS_UBUNTU_RELEASE_ABI
#define UTS_UBUNTU_RELEASE_ABI -1
#endif
#endif
Злополучная дрянь с нулем в начале дергается как раз при вызове <generated/utsrelease.h> , но далее идет условная конструкция, на случай если данный параметр выудить не удастся - ему присваивается значение -1
Вот здесь и удалось за них зацепиться, выносом define с произвольным десятичным числом из условия

Код: Выделить всё

#if LINUX_VERSION_CODE >= KERNEL_VERSION(3,17,0)
#include <generated/utsrelease.h>
#define UTS_UBUNTU_RELEASE_ABI 409
#endif
В итоге получилось так. Правда после трех долгих пересборок (makepkg работает в один поток зараза, сборка пакетов занимает по 5-7 минут на моем i5) :hoho: В первый раз только поменял значение -1 на 409, и потом втыкал почему ничего не поменялось и константа осталась восьмеричной, Второй раз выпилил строку с условием ifndef на что получил отбивку про лишний endif на закрытие которого не обратил внимания, и с третьего раза уже дожал злополучный блок. На самом деле думал еще где нибудь вылезет эта самодеятельность, но нет, определение прошло гладко, а компиляция без ворнингов.
Вот так вот потихоньку постигаю прелести околоядерного программирования, пусть и по сущим мелочам :smile:
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Изображение
   
Изображение


Fantastic
Сообщения: 155
Зарегистрирован: 07 фев 2018, 07:03
Решено: 2
Благодарил (а): 44 раза
Поблагодарили: 2 раза

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Fantastic » 07 фев 2018, 07:27

Всем привет! Я новичек в линукс. Выбрал linux mint. Приходится ставить драйвера (встроенными в ядро или как правильно там, не устраивают) так как минт не видит нужного разрешения + иногда планирую играть. У меня подключенный телевизор по hdmi сразу видит нужное разрешение, а вот монитор vga через переходник нет.

Установил я mint 18.3 хотел поставить драйвера с этой темы, не получилось, мне сказали смотри там же репозитории сони, то есть тебе надо ставить 18.2, поставил все заработало. (правда все равно пришлось прописать нужное разрешение) Посидел несколько недель, натворил дел что вообще не запускается система, сейчас планирую пере устанавливать систему и решил перед этим внимательно почитать и все делать потихоньку.

Планирую поставить опять 18.3 и обновить ядро, почитал тут коменты и понял что для установки этих драйверов нужно понижать xorg, то есть у некоторых программ может не завестись последние версии. Хоть я и пока эксперементирую на 50 гб (для учебы/работы и пары игр вполне хватит) хочу сразу сделать все хорошо, что бы опять не было проблем и можно было спокойно сидеть. Так вот вопрос, какие лучше драйвера ставит, эти или amdgpu-pro, что бы можно было и играть нормально и программы ставились последних версий? И вообще поддерживает ли моя карта amdgpu-pro? :
Снимок экрана_2018-02-07_11-28-05.png
Заранее большое спасибо за ответ :)
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 07 фев 2018, 07:59

Fantastic писал(а):
07 фев 2018, 07:27
мне сказали смотри там же репозитории сони,
Фигню сказали на самом деле :) Хотя может и я чутка допустил сей misleading
мне просто не захотелось плодить кучу директорий дальше и складывал по версиям ядра в sonya диру.
Sarah-Serena-Sonya-Sylvia - все они не особо различаются околосистемной обвязкой, которая играла бы в данном случае роль. А все необходимые зависимости притягиваются в начале инструкции
Fantastic писал(а):
07 фев 2018, 07:27
Так вот вопрос, какие лучше драйвера ставит, эти или amdgpu-pro, что бы можно было и играть нормально и программы ставились последних версий? И вообще поддерживает ли моя карта amdgpu-pro? :
В том и дело, что выбора не особо. amdgpu-pro твоя карточка не держит. Но судя по всему должна держать свободный amdgpu, который можно считать альтернативой. По моим тестам - фпс там пониже был в играх и бенчмарках чуть ли не на треть, но зато ни плясок с иксами, ни последующих конфликтов с софтом быть не должно.
Изображение
   
Изображение


Fantastic
Сообщения: 155
Зарегистрирован: 07 фев 2018, 07:03
Решено: 2
Благодарил (а): 44 раза
Поблагодарили: 2 раза

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Fantastic » 07 фев 2018, 08:09

Chocobo писал(а):
07 фев 2018, 07:59
мне просто не захотелось плодить кучу директорий дальше и складывал по версиям ядра в sonya диру.
Sarah-Serena-Sonya-Sylvia - все они не особо различаются околосистемной обвязкой, которая играла бы в данном случае роль.
То есть если я буду опять пробовать ставить на 18.3 в пакетах установки путь с sonya на sylvia менять не надо, все должно и так пойти? (просто у меня с первого раза на 18.3 не вышло, а на 18.2 все норм было)
Chocobo писал(а):
07 фев 2018, 07:59
пс там пониже был в играх и бенчмарках чуть ли не на треть, но зато ни плясок с иксами, ни последующих конфликтов с софтом быть не должно.
Блин, дилемма, на одном драйвере будет лучше 3D работать, но проблемы с софтом, а на другом наоборот и купить в ближайшее время железо под линь не выйдет :(

И можно пожалуйста ссылочку как ставить amdgpu?

Аватара пользователя

Автор темы
Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 07 фев 2018, 08:20

Fantastic писал(а):
07 фев 2018, 08:09
пусть с sonya на sylvia менять не надо
Неа, там просто нет такого пути. Все четко по инструкции. Сам отсюда копипащу при проверках :)
Fantastic писал(а):
07 фев 2018, 08:09
Блин, дилемма,
Да сам печалюсь все время по этому поводу.
Вроде и сама карточка еще относительно норм у меня (2Gb DDR5 / 256bit / 1050Mhz), а амд стервецы свинью такую подложили.

Кстати, еще на тему нового софта и старых иксов. Проверю поведение этих же прог в дистрибутивах куда иксы 1.18+ не попали, может там в минорных фиксах ченть правили на обратную совместимость. Возможно удасться собрать под 18-е минты версию поактуальней.
По-возможности, кто использует дрова - можете репортить тут о подобных проблемах, для тестовой массы.
Изображение
   
Изображение


Fantastic
Сообщения: 155
Зарегистрирован: 07 фев 2018, 07:03
Решено: 2
Благодарил (а): 44 раза
Поблагодарили: 2 раза

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Fantastic » 07 фев 2018, 08:26

Chocobo писал(а):
07 фев 2018, 08:20
Вроде и сама карточка еще относительно норм у меня
Да и у меня же тоже на поиграть еще норм :)
Chocobo писал(а):
07 фев 2018, 08:20
Возможно удасться собрать под 18-е минты версию поактуальней.
А не знаете сколько времени примерно на это у вас уйдет, думаю может подождать?

А сами вы на каких дровах решили остаться? И можно ссылочку где расписано как ставить amdgpu?

Аватара пользователя

Автор темы
Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение Chocobo » 07 фев 2018, 08:38

Fantastic писал(а):
07 фев 2018, 08:26
А не знаете сколько времени примерно на это у вас уйдет, думаю может подождать?
Пока на уровне предположения, хрен его знает что из этого получится. Поэтому сложно загадывать.
Fantastic писал(а):
07 фев 2018, 08:26
А сами вы на каких дровах решили остаться?
этот кататлист и использую, обыгрывать софт уже привычней, чем сидеть на свободных дровишках.
А amdgpu настраивать не нужно, он в ядре идет как и radeon.
Изображение
   
Изображение


global_silence
Сообщения: 114
Зарегистрирован: 25 июн 2017, 11:31
Благодарил (а): 3 раза

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение global_silence » 10 фев 2018, 14:42

Chocobo,
Что-то вообще какие-то танцы начались. Можете дать совет, как выбирать видеокарту при покупке ноута, чтобы на нем все нормально завелось? Может стоит только NVidia карты покупать? Или там тоже траблы?

Аватара пользователя

slant
Сообщения: 1347
Зарегистрирован: 21 июн 2017, 15:09
Решено: 19
Благодарил (а): 8 раз
Поблагодарили: 537 раз

Установка видеодрайвера AMD Сatalyst (fglrx) в Linux Mint 18.X

Сообщение slant » 10 фев 2018, 15:01

Если игрушки не нужны - intel - самое без проблемное решение. :)

Вернуться в «Видеокарты»